> This page is for Developers.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.iot.telia.lt/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.iot.telia.lt/_mcp/server.

# List operators

GET https://iot.telia.lt/api/v1/operator

Returns a collection of existing operators.

It will return an array of items with following properties:

* `id`: identifier of this operator
* `name`: the official name of the operator
* `name_and_country`: Name / Country (for easy access in the UI)
* `country`: country object with the nested country `id`
* `mnc`: Array of Mobile Network Codes (MNCs)
* `tapcode`: Array of TAP Codes


Reference: https://docs.iot.telia.lt/developers/api/operator/operator-get

## Authentication

- `Authorization` header (bearer token, required) — An `auth_token` should be provided to authenticate a session. To obtain an `auth_token`, see the [`/api/v1/authenticate` **POST** request](/developers/api/authentication/authenticate).

## Response

### 200

Success

- `list of ApiV1OperatorGetResponsesContentApplicationJsonSchemaItems`

## Errors

### 403 Forbidden Error

Your role doesn't include the permission this endpoint requires. Most endpoints return `error_code`, `error_token`, and `message`. Some return only `status_code` and `message`.

- `error_code` (integer, optional)
- `error_token` (string, optional)
- `status_code` (integer, optional)
- `message` (string, optional)

## Types

### ApiV1OperatorGetResponsesContentApplicationJsonSchemaItems

- `name` (string, optional)
- `country_name` (string, optional)
- `id` (double, optional)
- `country` (ApiV1OperatorGetResponsesContentApplicationJsonSchemaItemsCountry, optional)

### ApiV1OperatorGetResponsesContentApplicationJsonSchemaItemsCountry

- `id` (integer, optional)
- `name` (string, optional)
- `country_code` (integer, optional)
- `mcc` (integer, optional)
- `iso_code` (string, optional)
- `latitude` (float, optional)
- `longitude` (float, optional)

## Examples

**Response**

```json
[
  {
    "name": "Afghan Wireless (AWCC)",
    "country_name": "Afghanistan",
    "id": 552,
    "country": {
      "id": 3,
      "name": "Afghanistan",
      "country_code": 93,
      "mcc": 412,
      "iso_code": "af",
      "latitude": 33,
      "longitude": 65
    },
    "mnc": [
      {
        "id": 14,
        "mnc": "01",
        "operator_id": "552"
      }
    ],
    "name_and_country": "Afghanistan / Afghan Wireless (AWCC)",
    "tapcode": [
      {
        "id": 13,
        "operator_id": "552",
        "tapcode": "AFGAW"
      }
    ]
  },
  {
    "name": "TDCA (Roshan)",
    "country_name": "Afghanistan",
    "id": 553,
    "country": {
      "id": 3,
      "name": "Afghanistan",
      "country_code": 93,
      "mcc": 412,
      "iso_code": "af",
      "latitude": 33,
      "longitude": 65
    },
    "mnc": [
      {
        "id": 15,
        "mnc": "20",
        "operator_id": "553"
      }
    ],
    "name_and_country": "Afghanistan / TDCA (Roshan)",
    "tapcode": [
      {
        "id": 14,
        "operator_id": "553",
        "tapcode": "AFGTD"
      }
    ]
  }
]
```

**SDK Code**

```python
import requests

url = "https://iot.telia.lt/api/v1/operator"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://iot.telia.lt/api/v1/operator';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://iot.telia.lt/api/v1/operator"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://iot.telia.lt/api/v1/operator")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://iot.telia.lt/api/v1/operator")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://iot.telia.lt/api/v1/operator', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://iot.telia.lt/api/v1/operator");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://iot.telia.lt/api/v1/operator")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```